Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1319)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1320)
@@ -1118,17 +1163,17 @@
        DO  j = nys, nyn
           DO  k = nzb+1, nzt
-             fplus  = ( 1.0 - sw(k,j)   ) * ippb(k,j) + sw(k,j)   * ippe(k,j) &
+             fplus  = ( 1.0 - sw(k,j)   ) * ippb(k,j) + sw(k,j)   * ippe(k,j)  &
                     - ( 1.0 - sw(k+1,j) ) * impb(k,j) - sw(k+1,j) * impe(k,j)
-             fminus = ( 1.0 - sw(k-1,j) ) * ipmb(k,j) + sw(k-1,j) * ipme(k,j) &
+             fminus = ( 1.0 - sw(k-1,j) ) * ipmb(k,j) + sw(k-1,j) * ipme(k,j)  &
                     - ( 1.0 - sw(k,j)   ) * immb(k,j) - sw(k,j)   * imme(k,j)
-             tendenz = fplus - fminus
+             tendcy = fplus - fminus
 !
 !--           Removed in order to optimise speed
 !             ffmax   = MAX( ABS( fplus ), ABS( fminus ), 1E-35 )
-!             IF ( ( ABS( tendenz ) / ffmax ) < 1E-7 )  tendenz = 0.0
+!             IF ( ( ABS( tendcy ) / ffmax ) < 1E-7 )  tendcy = 0.0
 !
 !--          Density correction because of possible remaining divergences
              d_new = d(k,j,i) - ( w(k,j,i) - w(k-1,j,i) ) * dt_3d * ddzw(k)
-             sk_p(k,j,i) = ( ( 1.0 + d(k,j,i) ) * sk_p(k,j,i) - tendenz ) / &
+             sk_p(k,j,i) = ( ( 1.0 + d(k,j,i) ) * sk_p(k,j,i) - tendcy ) /    &
                            ( 1.0 + d_new )
 !
@@ -1145,5 +1190,5 @@
              DO  j = nys, nyn
                 DO  k = nzb+1, nzt
-                   sums_wsts_bc_l(k,sr) = sums_wsts_bc_l(k,sr) + &
+                   sums_wsts_bc_l(k,sr) = sums_wsts_bc_l(k,sr) +               &
                                           m1(k,j) * rmask(j,i,sr)
                 ENDDO
@@ -1158,5 +1203,5 @@
 !
 !-- Deallocate temporary arrays
-    DEALLOCATE( a0, a1, a2, a12, a22, immb, imme, impb, impe, ipmb, ipme, &
+    DEALLOCATE( a0, a1, a2, a12, a22, immb, imme, impb, impe, ipmb, ipme,      &
                 ippb, ippe, m1, sw )
 
Index: /palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_pw.f90	(revision 1319)
+++ /palm/trunk/SOURCE/advec_s_pw.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -31,12 +36,4 @@
 ! 1010 2012-09-20 07:59:54Z raasch
 ! cpp switch __nopointer added for pointer free version
-!
-! 19 2007-02-23 04:53:48Z raasch
-! Calculation extended for gridpoint nzt
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.12  2006/02/23 09:42:55  raasch
-! nzb_2d replaced by nzb_s_inner
 !
 ! Revision 1.1  1997/08/29 08:54:20  raasch
@@ -70,17 +67,29 @@
     SUBROUTINE advec_s_pw( sk )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  dd2zu, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nxl, nxr, nyn, nys, nzb_s_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
 
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !:
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  sk
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
 #endif
  
@@ -111,17 +120,29 @@
     SUBROUTINE advec_s_pw_ij( i, j, sk )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  dd2zu, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nzb_s_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
 
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !:
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  sk
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
 #endif
 
Index: /palm/trunk/SOURCE/advec_s_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_up.f90	(revision 1319)
+++ /palm/trunk/SOURCE/advec_s_up.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -34,9 +39,4 @@
 ! 981 2012-08-09 14:57:44Z maronga
 ! Typo removed
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.11  2006/02/23 09:43:44  raasch
-! nzb_2d replaced by nzb_s_inner
 !
 ! Revision 1.1  1997/08/29 08:54:33  raasch
@@ -67,18 +67,32 @@
     SUBROUTINE advec_s_up( sk )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nxl, nxr, nyn, nys, nzb_s_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-
-       REAL ::  ukomp, vkomp, wkomp
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+
+       REAL(wp) ::  ukomp !:
+       REAL(wp) ::  vkomp !:
+       REAL(wp) ::  wkomp !:
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !:
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  sk
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
 #endif
 
@@ -91,8 +105,8 @@
                 ukomp = 0.5 * ( u(k,j,i) + u(k,j,i+1) ) - u_gtrans
                 IF ( ukomp > 0.0 )  THEN
-                   tend(k,j,i) = tend(k,j,i) - ukomp * &
+                   tend(k,j,i) = tend(k,j,i) - ukomp *                         &
                                          ( sk(k,j,i) - sk(k,j,i-1) ) * ddx
                 ELSE
-                   tend(k,j,i) = tend(k,j,i) - ukomp * &
+                   tend(k,j,i) = tend(k,j,i) - ukomp *                         &
                                          ( sk(k,j,i+1) - sk(k,j,i) ) * ddx
                 ENDIF
@@ -101,8 +115,8 @@
                 vkomp = 0.5 * ( v(k,j,i) + v(k,j+1,i) ) - v_gtrans
                 IF ( vkomp > 0.0 )  THEN
-                   tend(k,j,i) = tend(k,j,i) - vkomp * &
+                   tend(k,j,i) = tend(k,j,i) - vkomp *                         &
                                          ( sk(k,j,i) - sk(k,j-1,i) ) * ddy
                 ELSE
-                   tend(k,j,i) = tend(k,j,i) - vkomp * &
+                   tend(k,j,i) = tend(k,j,i) - vkomp *                         &
                                          ( sk(k,j+1,i) - sk(k,j,i) ) * ddy
                 ENDIF
@@ -111,8 +125,8 @@
                 wkomp = 0.5 * ( w(k,j,i) + w(k-1,j,i) )
                 IF ( wkomp > 0.0 )  THEN
-                   tend(k,j,i) = tend(k,j,i) - wkomp * &
+                   tend(k,j,i) = tend(k,j,i) - wkomp *                         &
                                          ( sk(k,j,i) - sk(k-1,j,i) ) * ddzu(k)
                 ELSE
-                   tend(k,j,i) = tend(k,j,i) - wkomp * &
+                   tend(k,j,i) = tend(k,j,i) - wkomp *                         &
                                          ( sk(k+1,j,i)-sk(k,j,i) ) * ddzu(k+1)
                 ENDIF
@@ -130,18 +144,33 @@
     SUBROUTINE advec_s_up_ij( i, j, sk )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nzb_s_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-
-       REAL ::  ukomp, vkomp, wkomp
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+
+       REAL(wp) ::  ukomp !:
+       REAL(wp) ::  vkomp !:
+       REAL(wp) ::  wkomp !:
+       
 #if defined( __nopointer )
-       REAL, DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !:
 #else
-       REAL, DIMENSION(:,:,:), POINTER ::  sk
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
 #endif
 
@@ -152,8 +181,8 @@
           ukomp = 0.5 * ( u(k,j,i) + u(k,j,i+1) ) - u_gtrans
           IF ( ukomp > 0.0 )  THEN
-             tend(k,j,i) = tend(k,j,i) - ukomp * &
+             tend(k,j,i) = tend(k,j,i) - ukomp *                               &
                                          ( sk(k,j,i) - sk(k,j,i-1) ) * ddx
           ELSE
-             tend(k,j,i) = tend(k,j,i) - ukomp * &
+             tend(k,j,i) = tend(k,j,i) - ukomp *                               &
                                          ( sk(k,j,i+1) - sk(k,j,i) ) * ddx
           ENDIF
@@ -162,8 +191,8 @@
           vkomp = 0.5 * ( v(k,j,i) + v(k,j+1,i) ) - v_gtrans
           IF ( vkomp > 0.0 )  THEN
-             tend(k,j,i) = tend(k,j,i) - vkomp * &
+             tend(k,j,i) = tend(k,j,i) - vkomp *                               &
                                          ( sk(k,j,i) - sk(k,j-1,i) ) * ddy
           ELSE
-             tend(k,j,i) = tend(k,j,i) - vkomp * &
+             tend(k,j,i) = tend(k,j,i) - vkomp *                               &
                                          ( sk(k,j+1,i) - sk(k,j,i) ) * ddy
           ENDIF
@@ -172,8 +201,8 @@
           wkomp = 0.5 * ( w(k,j,i) + w(k-1,j,i) )
           IF ( wkomp > 0.0 )  THEN
-             tend(k,j,i) = tend(k,j,i) - wkomp * &
+             tend(k,j,i) = tend(k,j,i) - wkomp *                               &
                                          ( sk(k,j,i) - sk(k-1,j,i) ) * ddzu(k)
           ELSE
-             tend(k,j,i) = tend(k,j,i) - wkomp * &
+             tend(k,j,i) = tend(k,j,i) - wkomp *                               &
                                          ( sk(k+1,j,i)-sk(k,j,i) ) * ddzu(k+1)
           ENDIF
Index: /palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_pw.f90	(revision 1319)
+++ /palm/trunk/SOURCE/advec_u_pw.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -28,15 +33,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 106 2007-08-16 14:30:26Z raasch
-! i loop is starting from nxlu (needed for non-cyclic boundary conditions)
-!
-! 75 2007-03-22 09:54:05Z raasch
-! uxrp eliminated
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.15  2006/02/23 09:44:21  raasch
-! nzb_2d replaced by nzb_u_inner
 !
 ! Revision 1.1  1997/08/11 06:09:21  raasch
@@ -68,13 +62,27 @@
     SUBROUTINE advec_u_pw
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzw, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nxlu, nxr, nyn, nys, nzb_u_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  gu, gv
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+       
+       REAL(wp)    ::  gu !:
+       REAL(wp)    ::  gv !:
  
        gu = 2.0 * u_gtrans
@@ -104,13 +112,27 @@
     SUBROUTINE advec_u_pw_ij( i, j )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzw, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nzb_u_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  gu, gv
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+       
+       REAL(wp)    ::  gu !:
+       REAL(wp)    ::  gv !:
 
        gu = 2.0 * u_gtrans
Index: /palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_up.f90	(revision 1319)
+++ /palm/trunk/SOURCE/advec_u_up.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -28,15 +33,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 106 2007-08-16 14:30:26Z raasch
-! i loop is starting from nxlu (needed for non-cyclic boundary conditions)
-!
-! 75 2007-03-22 09:54:05Z raasch
-! uxrp eliminated
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.12  2006/02/23 09:45:04  raasch
-! nzb_2d replaced by nzb_u_inner
 !
 ! Revision 1.1  1997/08/29 08:55:25  raasch
@@ -67,16 +61,30 @@
     SUBROUTINE advec_u_up
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nxlu, nxr, nyn, nys, nzb_u_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-
-       REAL ::  ukomp, vkomp, wkomp
-
-
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+
+       REAL(wp) ::  ukomp !:
+       REAL(wp) ::  vkomp !:
+       REAL(wp) ::  wkomp !:
+
+       
        DO  i = nxlu, nxr
           DO  j = nys, nyn
@@ -86,30 +94,30 @@
                 ukomp = u(k,j,i) - u_gtrans
                 IF ( ukomp > 0.0 )  THEN
-                   tend(k,j,i) = tend(k,j,i) - ukomp * &
+                   tend(k,j,i) = tend(k,j,i) - ukomp *                         &
                                          ( u(k,j,i) - u(k,j,i-1) ) * ddx
                 ELSE
-                   tend(k,j,i) = tend(k,j,i) - ukomp * &
+                   tend(k,j,i) = tend(k,j,i) - ukomp *                         &
                                           ( u(k,j,i+1) - u(k,j,i) ) * ddx
                 ENDIF
 !
 !--             y-direction
-                vkomp = 0.25 * ( v(k,j,i)   + v(k,j+1,i) + &
+                vkomp = 0.25 * ( v(k,j,i)   + v(k,j+1,i) +                     &
                                  v(k,j,i-1) + v(k,j+1,i-1) ) - v_gtrans
                 IF ( vkomp > 0.0 )  THEN
-                   tend(k,j,i) = tend(k,j,i) - vkomp * &
+                   tend(k,j,i) = tend(k,j,i) - vkomp *                         &
                                          ( u(k,j,i) - u(k,j-1,i) ) * ddy
                 ELSE
-                   tend(k,j,i) = tend(k,j,i) - vkomp * &
+                   tend(k,j,i) = tend(k,j,i) - vkomp *                         &
                                          ( u(k,j+1,i) - u(k,j,i) ) * ddy
                 ENDIF
 !
 !--             z-direction
-                wkomp = 0.25 * ( w(k,j,i)   + w(k-1,j,i) + &
+                wkomp = 0.25 * ( w(k,j,i)   + w(k-1,j,i) +                     &
                                  w(k,j,i-1) + w(k-1,j,i-1) )
                 IF ( wkomp > 0.0 )  THEN
-                   tend(k,j,i) = tend(k,j,i) - wkomp * &
+                   tend(k,j,i) = tend(k,j,i) - wkomp *                         &
                                          ( u(k,j,i) - u(k-1,j,i) ) * ddzu(k)
                 ELSE
-                   tend(k,j,i) = tend(k,j,i) - wkomp * &
+                   tend(k,j,i) = tend(k,j,i) - wkomp *                         &
                                          ( u(k+1,j,i) - u(k,j,i) ) * ddzu(k+1)
                 ENDIF
@@ -127,14 +135,28 @@
     SUBROUTINE advec_u_up_ij( i, j )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nzb_u_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-
-       REAL ::  ukomp, vkomp, wkomp
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+
+       REAL(wp) ::  ukomp !:
+       REAL(wp) ::  vkomp !:
+       REAL(wp) ::  wkomp !:
 
 
@@ -144,19 +166,19 @@
           ukomp = u(k,j,i) - u_gtrans
           IF ( ukomp > 0.0 )  THEN
-             tend(k,j,i) = tend(k,j,i) - ukomp * &
+             tend(k,j,i) = tend(k,j,i) - ukomp *                               &
                                          ( u(k,j,i) - u(k,j,i-1) ) * ddx
           ELSE
-             tend(k,j,i) = tend(k,j,i) - ukomp * &
+             tend(k,j,i) = tend(k,j,i) - ukomp *                               &
                                          ( u(k,j,i+1) - u(k,j,i) ) * ddx
           ENDIF
 !
 !--       y-direction
-          vkomp = 0.25 * ( v(k,j,i) + v(k,j+1,i) + v(k,j,i-1) + v(k,j+1,i-1) &
+          vkomp = 0.25 * ( v(k,j,i) + v(k,j+1,i) + v(k,j,i-1) + v(k,j+1,i-1)   &
                          ) - v_gtrans
           IF ( vkomp > 0.0 )  THEN
-             tend(k,j,i) = tend(k,j,i) - vkomp * &
+             tend(k,j,i) = tend(k,j,i) - vkomp *                               &
                                          ( u(k,j,i) - u(k,j-1,i) ) * ddy
           ELSE
-             tend(k,j,i) = tend(k,j,i) - vkomp * &
+             tend(k,j,i) = tend(k,j,i) - vkomp *                               &
                                          ( u(k,j+1,i) - u(k,j,i) ) * ddy
           ENDIF
@@ -165,8 +187,8 @@
           wkomp = 0.25 * ( w(k,j,i) + w(k-1,j,i) + w(k,j,i-1) + w(k-1,j,i-1) )
           IF ( wkomp > 0.0 )  THEN
-             tend(k,j,i) = tend(k,j,i) - wkomp * &
+             tend(k,j,i) = tend(k,j,i) - wkomp *                               &
                                          ( u(k,j,i) - u(k-1,j,i) ) * ddzu(k)
           ELSE
-             tend(k,j,i) = tend(k,j,i) - wkomp * &
+             tend(k,j,i) = tend(k,j,i) - wkomp *                               &
                                          ( u(k+1,j,i) - u(k,j,i) ) * ddzu(k+1)
           ENDIF
Index: /palm/trunk/SOURCE/advec_v_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_v_pw.f90	(revision 1319)
+++ /palm/trunk/SOURCE/advec_v_pw.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -28,15 +33,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 106 2007-08-16 14:30:26Z raasch
-! j loop is starting from nysv (needed for non-cyclic boundary conditions)
-!
-! 75 2007-03-22 09:54:05Z raasch
-! vynp eliminated
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.15  2006/02/23 09:46:08  raasch
-! nzb_2d replaced by nzb_v_inner
 !
 ! Revision 1.1  1997/08/11 06:09:57  raasch
@@ -68,13 +62,27 @@
     SUBROUTINE advec_v_pw
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzw, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nxl, nxr, nyn, nysv, nzb_v_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  gu, gv
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+       
+       REAL(wp)    ::  gu !:
+       REAL(wp)    ::  gv !:
  
 
@@ -105,13 +113,27 @@
     SUBROUTINE advec_v_pw_ij( i, j )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzw, tend, u, v, w
+
+       USE control_parameters,                                                 &
+           ONLY:  u_gtrans, v_gtrans
+
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddy
+
+       USE indices,                                                            &
+           ONLY:  nzb_v_inner, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  gu, gv
+       INTEGER(iwp) ::  i !:
+       INTEGER(iwp) ::  j !:
+       INTEGER(iwp) ::  k !:
+       
+       REAL(wp)    ::  gu !:
+       REAL(wp)    ::  gv !:
 
 
@@ -119,5 +141,5 @@
        gv = 2.0 * v_gtrans
        DO  k = nzb_v_inner(j,i)+1, nzt
-          tend(k,j,i) = tend(k,j,i) - 0.25 * (                              &
+          tend(k,j,i) = tend(k,j,i) - 0.25 * (                                 &
                          ( v(k,j,i+1) * ( u(k,j-1,i+1) + u(k,j,i+1) - gu )     &
                          - v(k,j,i-1) * ( u(k,j-1,i) + u(k,j,i) - gu ) ) * ddx &
